import { Component } from '@angular/core';
import { IonHeader, IonToolbar, IonTitle, IonContent, IonTabButton } from '@ionic/angular/standalone';
import { ExploreContainerComponent } from '../explore-container/explore-container.component';
import { IonButton } from '@ionic/angular/standalone';
import { IonIcon } from '@ionic/angular/standalone';
import { EditTagComponent } from '../component/edit-tag/edit-tag.component';
import { EditRatingStarComponent } from '../component/edit-rating-star/edit-rating-star.component';
import { Router } from '@angular/router';


@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: true,
  imports: [
    IonHeader, IonToolbar, IonTitle, IonContent, ExploreContainerComponent, IonTabButton, IonButton,
    IonIcon,
  ],
})
export class Tab1Page {

  constructor(private router: Router) {}

  /**
   * Go to the page-test page
   */
  goToPage(){
    this.router.navigate(['/tabs/page-test'])
  }
}
